Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class AbstractExceptionContainer

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.bea.util.AbstractExceptionContainer

Direct Known Subclasses:
  ApplicationViewException, ConnectionAcquisitionException, ConnectionFactoryException, DeploymentException, EngineException, EventContextException, EventRouterException, ExceptionStandin, LookupException, NamespaceException, SchemaException, TransactionException, TransactionTimeoutException

public abstract class AbstractExceptionContainer
extends java.lang.Exception

An abstract Exception Container class.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected ThrowableContainer` | `m_container`

Constructor Summary
`AbstractExceptionContainer(java.lang.String msg)` Construct AbstractExceptionContainer of the specified type

Method Summary
`void` | `addException(java.lang.Exception e)` Add an Exception to the container.
`boolean` | `containsException(java.lang.Exception e)` Determine if an Exception is in the container.
`java.util.Iterator` | `getExceptions()` Get Exception iterator.
`java.lang.Exception` | `getLinkedException()` Get linkedException.
`void` | `printStackTrace()` Print Stack trace to System.err.
`void` | `printStackTrace(java.io.PrintStream ps)` Print Stack trace to PrintStream.
`void` | `printStackTrace(java.io.PrintWriter pw)` Print Stack trace to PrintWriter.
`protected void` | `printStackTrace(java.io.PrintWriter pw, int nest)`
`boolean` | `removeException(java.lang.Exception e)` Removes an Exception from the container.
`java.lang.String` | `toString()` Get Exceptions as string.
`java.lang.String` | `toString(int nest)` Get Exceptions as string.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_container

    protected ThrowableContainer m_container

Constructor Detail

### AbstractExceptionContainer

    public AbstractExceptionContainer(java.lang.String msg)

  Construct AbstractExceptionContainer of the specified type

  Parameters:
    `msg` - - User defined Exception message.

Method Detail

### addException

    public void addException(java.lang.Exception e)

  Add an Exception to the container.

  Parameters:
    `e` - - the Exception.

### removeException

    public boolean removeException(java.lang.Exception e)

  Removes an Exception from the container.

  Parameters:
    `e` - - the Exception.

### containsException

    public boolean containsException(java.lang.Exception e)

  Determine if an Exception is in the container.

  Parameters:
    `e` - - the Exception.

### getExceptions

    public java.util.Iterator getExceptions()

  Get Exception iterator.

### getLinkedException

    public java.lang.Exception getLinkedException()

  Get linkedException.

### toString

    public java.lang.String toString()

  Get Exceptions as string.

  Overrides:
    toString in class java.lang.Throwable

### toString

    public java.lang.String toString(int nest)

  Get Exceptions as string.

  Parameters:
    `nest` - - indent level.

### printStackTrace

    public void printStackTrace()

  Print Stack trace to System.err.

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Print Stack trace to PrintStream.

  Parameters:
    `ps` - - the PrintStream.
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Print Stack trace to PrintWriter.

  Parameters:
    `pw` - - the PrintWriter.
  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    protected void printStackTrace(java.io.PrintWriter pw,
                                   int nest)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)